
%define name	gstreamer0.10-vaapi
%define oname	gstreamer-vaapi
%define version	0.3.6
%define rel	4

%define api	0.10
%define major	0
%define libname	%mklibname gstvaapi %api %major
%define devname	%mklibname -d gstvaapi %api

Summary:	VA-API support for GStreamer
Name:		%{name}
Version:	%{version}
Release:	%mkrel %rel
URL:		http://gitorious.org/vaapi/gstreamer-vaapi
Source:		gstreamer-vaapi-%{version}.tar.xz
Patch0:		gstreamer-vaapi-0.3.6-ffmpeg0.11.patch
Patch1:		gstreamer-vaapi-0.3.6-link.patch
Patch2:		gstreamer-vaapi-0.3.6-automake-1.13.patch
Patch3:		gstreamer-vaapi-0.3.6-mesa9.patch
Patch4:		gstreamer-vaapi-0.3.6-ffmpeg2.0.patch
License:	GPLv2+
Group:		Video
#---------------------------------------------
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gstphotography-devel
BuildRequires: %{_lib}gstreamer-plugins-base0.10-devel
BuildRequires: %{_lib}gstbasevideo-devel
BuildRequires: %{_lib}gstreamer0.10_0.10-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}va-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires:	gtk-doc
#---------------------------------------------

%description
gstreamer-vaapi consists of a collection of VA-API based plugins for
GStreamer and helper libraries, allowing the use of VA-API acceleration
in applications that GStreamer for video playback.

%package -n %{libname}
Summary:	GStreamer VA-API support libraries
License:	LGPLv2+
Group:		System/Libraries

%description -n %{libname}
Helper libraries used by gstreamer0.10-vaapi.

%package -n %{devname}
Summary:	Development files for libgstvaapi
License:	LGPLv2+
Group:		Development/Libraries

%description -n %{devname}
Development files for the libgstvaapi helper libraries.

%prep
%setup -q -n vaapi-gstreamer-vaapi
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1

%build
NO_CONFIGURE=yes ./autogen.sh
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# Remove unpackaged files
find %{buildroot} -name '*.la' -delete

%files
%{_libdir}/gstreamer-%{api}/libgstvaapi.so

%files -n %{libname}
%{_libdir}/libgstvaapi*-%{api}.so.%{major}*

%files -n %{devname}
%doc README NEWS AUTHORS
%{_includedir}/gstreamer-%{api}/gst/vaapi
%{_libdir}/libgstvaapi*-%{api}.so
%{_libdir}/pkgconfig/gstreamer-vaapi*-%{api}.pc


%changelog
* Tue Nov 18 2014 bb <bb> 0.3.6-4pclos2014
- rebuild new ffmpeg 2.4

* Wed Jan 15 2014 bb <bb> 0.3.6-3pclos2014
- fix rpmgroup



